using Hotline.CallCenter.Tels.CallTelDomain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.CallCenter.Tels;
public interface ICallTelClient
{
    Task<List<QueryTelResponse>> QueryTelsAsync(QueryTelRequest request, CancellationToken cancellationToken);

    Task<QueryTelStateResponse> QueryTelStateAsync(QueryTelStateRequest request, CancellationToken token);

    Task AddBlacklistAsync(AddBlacklistRequest request, CancellationToken token);

    Task DelBlacklistAsync(DelBlacklistRequest request, CancellationToken token);

    Task<List<QueryBlacklistResponse>> QueryBlacklistAsync(QueryBlacklistRequest request, CancellationToken token);
    Task<int> GetStatusAsync(int status);
}
